Bug 42451 - RFE: Add menu/global view of install so you can jump to arbitrary step
RFE: Add menu/global view of install so you can jump to arbitrary step
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-27 08:15 EDT by Mike Chambers
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 11:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-05-27 08:15:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
When configuring your system up to formating/installing packages, adding a 
menu somewhere to click on and go back and reconfigure, change, or 
whatever without having to keep clicking back/next buttons.

How reproducible:
Always

Steps to Reproduce:
1. Install RedHat
2.
3.
	

Actual Results:  Can only click back or next to get to where you want

Expected Results:  A menu to click on a component to go back to 
automatically to do what you need to do.  Maybe it could then make you go 
to somewhere to reconfigure something if that item was affected by your 
change.

Additional info:

Just some ideas I thought of to help configure during install.  This may 
or may not cause a lot of RAM or CPU or something to make it harder to use 
so not a problem if cant' be done.

Just trying to help :)
Comment 1 Brent Fox 2001-05-29 14:28:16 EDT
We have thought about this in the past and wound up not doing it for one reason
or another (probably not enough time to implement it).  It's still on the
drawing board at this point, but I'm not sure how useful it would be. 
Technically, it shouldn't be too hard to implement.  The biggest problem is
where to put it so that it doesn't crowd the screen.
Comment 2 Mike Chambers 2001-05-29 20:18:19 EDT
I don't know where to put it either if keeping the current install GUI, except 
to redo the size of it and maybe add it to the side in a bracket or something.  
Have it always be there in a rectangle type menu or something and then off to 
the right or left depending on what side would be the normal configuration 
options.  That might would squeeze some of the stuff down and not be as big but 
as long as it's viewable and no problem reading.

Or just redo anaconda and incorporate something like that into it from the 
start and redo the installer to whatever the change would be.
Comment 3 Brent Fox 2001-05-31 15:00:11 EDT
Reassigning to katzj, as he is currently considering this.
Comment 4 Michael Fulbright 2001-07-16 12:23:49 EDT
Deferring to consideration for next release.

Note You need to log in before you can comment on or make changes to this bug.